[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

## www.hongsnet.net 운영 및 현황

- **개요** : OpenSource 솔루션을 이용하여, 일반 유저(학생/초급자)들에게 시스템 자원을 무료로 제공
- **목적** : 시스템 구축 및 구성에 어려움을 겪는 사용자에게 시스템 리소스를 제공하고, 운영자는 회원과의 커뮤니케이션을 통한 Needs를 파악하여, 기술적으로 도움이 될 수 있는 요소를 학습하기 위함
- **주요 제공서비스** : PHP/JSP(Tomcat) 웹 호스팅, CI/CD 서비스(Jenkins, GitLab), 가상 서버(KVM Based) 호스팅, 무료교육시스템, Linux(CentOS 7) 기반
- **서비스 현황(접속)** : 일 평균 PV(PageView) : 6000, UV(UniqueView) : 250
- **회원 현황** : 820명 (2021-02)
- **개발 언어** : PHP (Dockerized)
- **구성 요소** : LoadBalancer(Ha-Proxy), Docker Container, K8s, Apache, PHP, MariaDB, ElasticStack, Zabbix,
Promeheus, KVM Virtualization, Network Switching
- **사이트 운영이력** : 2010년 ~ 현재
- **운영 형태** : On-Premise


## edu.hongsnet.net 교육시스템 운영 현황

- **개요** : OpenSource 솔루션을 활용하여, Linux 기반의 가상 머신을 제공하고, 직접 학습을 수행할 수 있도록 환경을 제공하는 서비스를 제공
- **주요 제공서비스** : KVM 가상머신, WEB Proxy,
- **개발 언어** : PHP (Front-End), Bash-Script, Zinity(VM-CONTROL)
- **구성 요소** : VNC(NoVnc, Back-End), WEB-Proxy(WEB 서비스), 포트포워딩 제공(PHP)
- **사이트 운영이력** : 2015년 ~ 현재
- **운영 형태** : Virtualization (KVM)
